------------
-- WARRIOR --
------------
if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "WARRIOR") then
    return;
end


Watcher.classDefaults["WARRIOR"] = {
    ["newDefaultDate"] = 1414808997;
    ["priorityLists"] = {
        [1] = {
            ["name"] = "Arms";
            ["settings"] = {};
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 24;
                    ["spellId"] = 5308;
                    ["name"] = "Execute";
                };
                [2] = {
                    ["filterSetId"] = 41;
                    ["spellId"] = 107570;
                    ["name"] = "Storm Bolt";
                };
                [4] = {
                    ["filterSetId"] = 43;
                    ["spellId"] = 772;
                    ["name"] = "Rend";
                };
                [8] = {
                    ["filterSetId"] = 28;
                    ["spellId"] = 118000;
                    ["name"] = "Dragon Roar";
                };
                [16] = {
                    ["filterSetId"] = 37;
                    ["spellId"] = 167105;
                    ["name"] = "Colossus Smash";
                };
                [17] = {
                    ["filterSetId"] = 16;
                    ["spellId"] = 107570;
                    ["name"] = "Storm Bolt";
                };
                [9] = {
                    ["filterSetId"] = 45;
                    ["spellId"] = 12294;
                    ["name"] = "Mortal Strike";
                };
                [18] = {
                    ["spellId"] = 1464;
                    ["filterSetId"] = 55;
                };
                [5] = {
                    ["filterSetId"] = 23;
                    ["spellId"] = 5308;
                    ["name"] = "Execute";
                };
                [10] = {
                    ["filterSetId"] = 46;
                    ["spellId"] = 107570;
                    ["name"] = "Storm Bolt";
                };
                [20] = {
                    ["filterSetId"] = 50;
                    ["spellId"] = 1680;
                    ["name"] = "Whirlwind";
                };
                [11] = {
                    ["filterSetId"] = 47;
                    ["spellId"] = 118000;
                    ["name"] = "Dragon Roar";
                };
                [3] = {
                    ["filterSetId"] = 42;
                    ["spellId"] = 5308;
                    ["name"] = "Execute";
                };
                [6] = {
                    ["filterSetId"] = 44;
                    ["spellId"] = 167105;
                    ["name"] = "Colossus Smash";
                };
                [12] = {
                    ["spellId"] = 1464;
                    ["filterSetId"] = 54;
                };
                [13] = {
                    ["filterSetId"] = 49;
                    ["spellId"] = 1680;
                    ["name"] = "Whirlwind";
                };
                [7] = {
                    ["filterSetId"] = 27;
                    ["spellId"] = 107570;
                    ["name"] = "Storm Bolt";
                };
                [14] = {
                    ["filterSetId"] = 40;
                    ["spellId"] = 772;
                    ["name"] = "Rend";
                };
                [15] = {
                    ["filterSetId"] = 36;
                    ["spellId"] = 12294;
                    ["name"] = "Mortal Strike";
                };
                [19] = {
                    ["filterSetId"] = 17;
                    ["spellId"] = 118000;
                    ["name"] = "Dragon Roar";
                };
            };
            ["filters"] = {
                [1] = {
                    ["specNum"] = 1;
                    ["filterType"] = "spec";
                };
            };
        };
        [2] = {
            ["name"] = "Fury";
            ["settings"] = {};
            ["spellConditions"] = {
                [1] = {
                    ["filterSetId"] = 24;
                    ["spellId"] = 5308;
                    ["name"] = "Execute";
                };
                [2] = {
                    ["filterSetId"] = 19;
                    ["spellId"] = 18499;
                    ["name"] = "Berserker Rage";
                };
                [4] = {
                    ["filterSetId"] = 21;
                    ["spellId"] = 23881;
                    ["name"] = "Bloodthirst";
                };
                [8] = {
                    ["filterSetId"] = 26;
                    ["spellId"] = 100130;
                    ["name"] = "Wild Strike";
                };
                [16] = {
                    ["filterSetId"] = 14;
                    ["spellId"] = 85288;
                    ["name"] = "Raging Blow";
                };
                [17] = {
                    ["filterSetId"] = 12;
                    ["spellId"] = 100130;
                    ["name"] = "Wild Strike";
                };
                [9] = {
                    ["filterSetId"] = 27;
                    ["spellId"] = 107570;
                    ["name"] = "Storm Bolt";
                };
                [18] = {
                    ["filterSetId"] = 16;
                    ["spellId"] = 107570;
                    ["name"] = "Storm Bolt";
                };
                [5] = {
                    ["filterSetId"] = 22;
                    ["spellId"] = 23881;
                    ["name"] = "Bloodthirst";
                };
                [10] = {
                    ["filterSetId"] = 28;
                    ["spellId"] = 118000;
                    ["name"] = "Dragon Roar";
                };
                [20] = {
                    ["filterSetId"] = 34;
                    ["spellId"] = 23881;
                    ["name"] = "Bloodthirst";
                };
                [11] = {
                    ["filterSetId"] = 29;
                    ["spellId"] = 23881;
                    ["name"] = "Bloodthirst";
                };
                [3] = {
                    ["filterSetId"] = 20;
                    ["spellId"] = 5308;
                    ["name"] = "Execute";
                };
                [6] = {
                    ["filterSetId"] = 23;
                    ["spellId"] = 5308;
                    ["name"] = "Execute";
                };
                [12] = {
                    ["filterSetId"] = 30;
                    ["spellId"] = 100130;
                    ["name"] = "Wild Strike";
                };
                [13] = {
                    ["filterSetId"] = 31;
                    ["spellId"] = 85288;
                    ["name"] = "Raging Blow";
                };
                [7] = {
                    ["filterSetId"] = 25;
                    ["spellId"] = 85288;
                    ["name"] = "Raging Blow";
                };
                [14] = {
                    ["filterSetId"] = 32;
                    ["spellId"] = 23881;
                    ["name"] = "Bloodthirst";
                };
                [15] = {
                    ["filterSetId"] = 33;
                    ["spellId"] = 23881;
                    ["name"] = "Bloodthirst";
                };
                [19] = {
                    ["filterSetId"] = 17;
                    ["spellId"] = 118000;
                    ["name"] = "Dragon Roar";
                };
            };
            ["filters"] = {
                [1] = {
                    ["specNum"] = 2;
                    ["filterType"] = "spec";
                };
            };
        };
        [3] = {
            ["name"] = "Protection";
            ["settings"] = {};
            ["spellConditions"] = {
                [7] = {
                    ["filterSetId"] = 13;
                    ["spellId"] = 20243;
                    ["name"] = "Devastate";
                };
                [1] = {
                    ["filterSetId"] = 9;
                    ["spellId"] = 118000;
                    ["name"] = "Dragon Roar";
                };
                [2] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 23922;
                    ["name"] = "Shield Slam";
                };
                [4] = {
                    ["filterSetId"] = 3;
                    ["spellId"] = 6572;
                    ["name"] = "Revenge";
                };
                [8] = {
                    ["filterSetId"] = 4;
                    ["spellId"] = 78;
                    ["name"] = "Heroic Strike";
                };
                [9] = {
                    ["filterSetId"] = 11;
                    ["spellId"] = 46924;
                    ["name"] = "Bladestorm";
                };
                [5] = {
                    ["filterSetId"] = 6;
                    ["spellId"] = 78;
                    ["name"] = "Heroic Strike";
                };
                [3] = {
                    ["filterSetId"] = 1;
                    ["spellId"] = 23922;
                    ["name"] = "Shield Slam";
                };
                [6] = {
                    ["filterSetId"] = 7;
                    ["spellId"] = 6343;
                    ["name"] = "Thunder Clap";
                };
            };
            ["filters"] = {
                [1] = {
                    ["specNum"] = 3;
                    ["filterType"] = "spec";
                };
            };
        };
    };
    ["version"] = 2;
    ["spells"] = {
        [772] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [40] = true;
                [35] = true;
                [43] = true;
            };
        };
        [85288] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [14] = true;
                [25] = true;
                [31] = true;
            };
        };
        [46924] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [11] = true;
            };
        };
        [5308] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [20] = true;
                [24] = true;
                [18] = true;
                [23] = true;
                [42] = true;
            };
        };
        [6343] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [7] = true;
                [8] = true;
            };
        };
        [6572] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [3] = true;
            };
        };
        [167105] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [37] = true;
                [44] = true;
            };
        };
        [78] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [4] = true;
                [6] = true;
            };
        };
        [100130] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [30] = true;
                [26] = true;
                [12] = true;
            };
        };
        [1464] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [55] = true;
                [54] = true;
                [53] = true;
            };
        };
        [118000] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [28] = true;
                [17] = true;
                [47] = true;
            };
        };
        [23922] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [1] = true;
                [2] = true;
            };
        };
        [1680] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [49] = true;
                [48] = true;
                [38] = true;
                [50] = true;
            };
        };
        [20243] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [13] = true;
            };
        };
        [18499] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [19] = true;
                [10] = true;
            };
        };
        [23881] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [22] = true;
                [15] = true;
                [32] = true;
                [33] = true;
                [34] = true;
                [21] = true;
                [29] = true;
            };
        };
        [12294] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [36] = true;
                [45] = true;
            };
        };
        [107570] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [27] = true;
                [16] = true;
                [41] = true;
                [46] = true;
            };
        };
    };
    ["filterSets"] = {
        [27] = {
            ["spellId"] = 107570;
            ["settings"] = {};
            ["name"] = "Execute";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 20;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "target";
                };
            };
        };
        [2] = {
            ["name"] = "Sword and Board";
            ["settings"] = {};
            ["spellId"] = 23922;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Sword and Board";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [38] = {
            ["spellId"] = 1680;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [3] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 6572;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [54] = {
            ["name"] = "Smash";
            ["settings"] = {};
            ["spellId"] = 1464;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 40;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
                [3] = {
                    ["talentNum"] = 15770;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
                [4] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Colossus Smash";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [4] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 78;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [5] = {
            ["spellId"] = 6343;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [6] = {
            ["name"] = "Ultimatum Proc";
            ["settings"] = {};
            ["spellId"] = 78;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Ultimatum";
                    ["ifExists"] = true;
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["unit"] = "player";
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [7] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 6343;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [8] = {
            ["name"] = "Glyhped";
            ["settings"] = {};
            ["spellId"] = 6343;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["filterType"] = "glyph";
                    ["invert"] = false;
                    ["glyphSpellId"] = 507;
                };
            };
        };
        [10] = {
            ["spellId"] = 18499;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [12] = {
            ["spellId"] = 100130;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [14] = {
            ["spellId"] = 85288;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [16] = {
            ["spellId"] = 107570;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [20] = {
            ["spellId"] = 5308;
            ["settings"] = {};
            ["name"] = "Don't Cap Rage";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 80;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
            };
        };
        [24] = {
            ["spellId"] = 5308;
            ["settings"] = {};
            ["name"] = "Sudden Death";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Sudden Death";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [28] = {
            ["spellId"] = 118000;
            ["settings"] = {};
            ["name"] = "Execute";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 20;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "target";
                };
            };
        };
        [32] = {
            ["spellId"] = 23881;
            ["settings"] = {};
            ["name"] = "Not Enraged / Unquechable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["talentNum"] = 21791;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Enrage";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [40] = {
            ["spellId"] = 772;
            ["settings"] = {};
            ["name"] = "Keep DoT Up";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rend";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 5;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [48] = {
            ["spellId"] = 1680;
            ["settings"] = {};
            ["name"] = "Smash";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [33] = {
            ["spellId"] = 23881;
            ["settings"] = {};
            ["name"] = "Not Enraged / Low Rage";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Enrage";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [4] = {
                    ["talentNum"] = 21791;
                    ["invert"] = true;
                    ["filterType"] = "talent";
                };
                [3] = {
                    ["threshold"] = 80;
                    ["relationship"] = "BELOW";
                    ["filterType"] = "power";
                };
            };
        };
        [41] = {
            ["spellId"] = 107570;
            ["settings"] = {};
            ["name"] = "Execute / Smash";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 20;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "target";
                };
                [3] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Colossus Smash";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [49] = {
            ["spellId"] = 1680;
            ["settings"] = {};
            ["name"] = "Smash";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Colossus Smash";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["talentNum"] = 15770;
                    ["invert"] = true;
                    ["filterType"] = "talent";
                };
            };
        };
        [17] = {
            ["spellId"] = 118000;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [21] = {
            ["spellId"] = 23881;
            ["settings"] = {};
            ["name"] = "Execute / With Unquenchable / Not Enraged";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Enrage";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [4] = {
                    ["talentNum"] = 21791;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
                [3] = {
                    ["threshold"] = 20;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "target";
                };
            };
        };
        [25] = {
            ["spellId"] = 85288;
            ["settings"] = {};
            ["name"] = "Execute";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 20;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "target";
                };
            };
        };
        [29] = {
            ["spellId"] = 23881;
            ["settings"] = {};
            ["name"] = "Execute / With Unquenchable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 20;
                    ["unit"] = "target";
                    ["relationship"] = "BELOW";
                    ["filterType"] = "health";
                };
                [3] = {
                    ["talentNum"] = 21791;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
            };
        };
        [34] = {
            ["spellId"] = 23881;
            ["settings"] = {};
            ["name"] = "Unquenchable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["talentNum"] = 21791;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
            };
        };
        [42] = {
            ["spellId"] = 5308;
            ["settings"] = {};
            ["name"] = "Excute / Smash";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Colossus Smash";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [50] = {
            ["spellId"] = 1680;
            ["settings"] = {};
            ["name"] = "Above 40 Rage";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 40;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
                [3] = {
                    ["talentNum"] = 15770;
                    ["invert"] = true;
                    ["filterType"] = "talent";
                };
            };
        };
        [55] = {
            ["name"] = "Slam";
            ["settings"] = {};
            ["spellId"] = 1464;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 40;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
                [3] = {
                    ["talentNum"] = 15770;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
            };
        };
        [43] = {
            ["spellId"] = 772;
            ["settings"] = {};
            ["name"] = "Execute";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Rend";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 5;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
                [3] = {
                    ["threshold"] = 20;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "target";
                };
            };
        };
        [9] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 118000;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [11] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 46924;
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [13] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 20243;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [15] = {
            ["spellId"] = 23881;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [18] = {
            ["spellId"] = 5308;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [22] = {
            ["spellId"] = 23881;
            ["settings"] = {};
            ["name"] = "Execute / Without Unquenchable / Low Rage";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["talentNum"] = 21791;
                    ["invert"] = true;
                    ["filterType"] = "talent";
                };
                [4] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Enrage";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["threshold"] = 20;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "target";
                };
            };
        };
        [26] = {
            ["spellId"] = 100130;
            ["settings"] = {};
            ["name"] = "Execute";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 20;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "target";
                };
                [3] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Bloodsurge";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [30] = {
            ["spellId"] = 100130;
            ["settings"] = {};
            ["name"] = "Above 90 Rage";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 90;
                    ["relationship"] = "ABOVE";
                    ["filterType"] = "power";
                };
            };
        };
        [36] = {
            ["spellId"] = 12294;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [44] = {
            ["spellId"] = 167105;
            ["settings"] = {};
            ["name"] = "Execute";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 20;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "target";
                };
            };
        };
        [31] = {
            ["spellId"] = 85288;
            ["settings"] = {};
            ["name"] = "2 Stacks";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["numCharges"] = 2;
                    ["relationship"] = "At Least";
                    ["filterType"] = "spellCharges";
                };
            };
        };
        [47] = {
            ["spellId"] = 118000;
            ["settings"] = {};
            ["name"] = "Smash";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Colossus Smash";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [46] = {
            ["spellId"] = 107570;
            ["settings"] = {};
            ["name"] = "Smash";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Colossus Smash";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
                [3] = {
                    ["threshold"] = 70;
                    ["relationship"] = "BELOW";
                    ["filterType"] = "power";
                };
            };
        };
        [35] = {
            ["spellId"] = 772;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [37] = {
            ["spellId"] = 167105;
            ["settings"] = {};
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [45] = {
            ["spellId"] = 12294;
            ["settings"] = {};
            ["name"] = "Smash";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Colossus Smash";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [53] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 1464;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [1] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 23922;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [19] = {
            ["spellId"] = 18499;
            ["settings"] = {};
            ["name"] = "Refresh Enrage";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Enrage";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [23] = {
            ["spellId"] = 5308;
            ["settings"] = {};
            ["name"] = "Execute";
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["threshold"] = 20;
                    ["filterType"] = "health";
                    ["relationship"] = "BELOW";
                    ["unit"] = "target";
                };
            };
        };
    };
};
